Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mail.javamail
Class MimeMailMessage

    java.lang.Object
      org.springframework.mail.javamail.MimeMailMessage

All Implemented Interfaces:
  MailMessage

    public class MimeMailMessage

extends java.lang.Object
implements MailMessage

Implementation of the MailMessage interface for a JavaMail MIME message, to let message population code interact with a simple message or a MIME message through a common interface.

Uses a MimeMessageHelper underneath. Can either be created with a MimeMessageHelper instance or with a JavaMail MimeMessage instance.

Since:
  1.1.5
Author:
  Juergen Hoeller
See Also:
  `MimeMessageHelper`, `MimeMessage`

Constructor Summary
`MimeMailMessage(javax.mail.internet.MimeMessage mimeMessage)` Create a new MimeMailMessage based on the given JavaMail MimeMessage.
`MimeMailMessage(MimeMessageHelper mimeMessageHelper)` Create a new MimeMailMessage based on the given MimeMessageHelper.

Method Summary
`javax.mail.internet.MimeMessage` | `getMimeMessage()` Return the JavaMail MimeMessage that this MimeMailMessage is based on.
`MimeMessageHelper` | `getMimeMessageHelper()` Return the MimeMessageHelper that this MimeMailMessage is based on.
`void` | `setBcc(java.lang.String bcc)`
`void` | `setBcc(java.lang.String[] bcc)`
`void` | `setCc(java.lang.String cc)`
`void` | `setCc(java.lang.String[] cc)`
`void` | `setFrom(java.lang.String from)`
`void` | `setReplyTo(java.lang.String replyTo)`
`void` | `setSentDate(java.util.Date sentDate)`
`void` | `setSubject(java.lang.String subject)`
`void` | `setText(java.lang.String text)`
`void` | `setTo(java.lang.String to)`
`void` | `setTo(java.lang.String[] to)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MimeMailMessage

    public MimeMailMessage(MimeMessageHelper mimeMessageHelper)

  Create a new MimeMailMessage based on the given MimeMessageHelper.

  Parameters:
    `mimeMessageHelper` - the MimeMessageHelper

### MimeMailMessage

    public MimeMailMessage(javax.mail.internet.MimeMessage mimeMessage)

  Create a new MimeMailMessage based on the given JavaMail MimeMessage.

  Parameters:
    `mimeMessage` - the JavaMail MimeMessage

Method Detail

### getMimeMessageHelper

    public final MimeMessageHelper getMimeMessageHelper()

  Return the MimeMessageHelper that this MimeMailMessage is based on.

### getMimeMessage

    public final javax.mail.internet.MimeMessage getMimeMessage()

  Return the JavaMail MimeMessage that this MimeMailMessage is based on.

### setFrom

    public void setFrom(java.lang.String from)
                 throws MailParseException

  Specified by:
    `setFrom` in interface `MailMessage`
  Throws:
    `MailParseException`

### setReplyTo

    public void setReplyTo(java.lang.String replyTo)
                    throws MailParseException

  Specified by:
    `setReplyTo` in interface `MailMessage`
  Throws:
    `MailParseException`

### setTo

    public void setTo(java.lang.String to)
               throws MailParseException

  Specified by:
    `setTo` in interface `MailMessage`
  Throws:
    `MailParseException`

### setTo

    public void setTo(java.lang.String[] to)
               throws MailParseException

  Specified by:
    `setTo` in interface `MailMessage`
  Throws:
    `MailParseException`

### setCc

    public void setCc(java.lang.String cc)
               throws MailParseException

  Specified by:
    `setCc` in interface `MailMessage`
  Throws:
    `MailParseException`

### setCc

    public void setCc(java.lang.String[] cc)
               throws MailParseException

  Specified by:
    `setCc` in interface `MailMessage`
  Throws:
    `MailParseException`

### setBcc

    public void setBcc(java.lang.String bcc)
                throws MailParseException

  Specified by:
    `setBcc` in interface `MailMessage`
  Throws:
    `MailParseException`

### setBcc

    public void setBcc(java.lang.String[] bcc)
                throws MailParseException

  Specified by:
    `setBcc` in interface `MailMessage`
  Throws:
    `MailParseException`

### setSentDate

    public void setSentDate(java.util.Date sentDate)
                     throws MailParseException

  Specified by:
    `setSentDate` in interface `MailMessage`
  Throws:
    `MailParseException`

### setSubject

    public void setSubject(java.lang.String subject)
                    throws MailParseException

  Specified by:
    `setSubject` in interface `MailMessage`
  Throws:
    `MailParseException`

### setText

    public void setText(java.lang.String text)
                 throws MailParseException

  Specified by:
    `setText` in interface `MailMessage`
  Throws:
    `MailParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD